Bug 829560 - (CVE-2012-2672) CVE-2012-2672 Mojarra: deployed web applications can read FacesContext from other applications under certain conditions
CVE-2012-2672 Mojarra: deployed web applications can read FacesContext from o...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120601,reported=2...
: Security
Depends On: 830023 830024
Blocks: 829561 881519
  Show dependency treegraph
 
Reported: 2012-06-06 23:12 EDT by David Jorm
Modified: 2014-10-20 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 01:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9313 Major Closed CVE-2012-2672 Mojarra: deployed web applications can read FacesContext from other applications under certain conditions 2014-08-25 04:07:20 EDT

  None (edit)
Description David Jorm 2012-06-06 23:12:55 EDT
It was found that in Mojarra, the FacesContext that is made available during application startup is held in a ThreadLocal. The reference is not properly cleaned up in all cases. As a result, if a JSF WAR calls FacesContext.getCurrentInstance() during application startup, another WAR can get access to the leftover context and thus get access to the other WAR's resources.
Comment 1 David Jorm 2012-06-06 23:19:55 EDT
Upstream bug: http://java.net/jira/browse/JAVASERVERFACES-2436
Comment 2 Arun Babu Neelicattu 2012-06-07 22:47:21 EDT
This issue only affects EAP6/AS7. Older versions are not affected.
Comment 4 David Jorm 2012-06-07 22:54:29 EDT
Created jboss-jsf-2.1-api tracking bugs for this issue

Affects: fedora-17 [bug 830024]
Comment 6 David Jorm 2012-07-11 21:16:20 EDT
This issue has been resolved upstream in Mojarra 2.1.11 and 2.2-m05. A patch and updated JARs are attached to the upstream bug: http://java.net/jira/browse/JAVASERVERFACES-2436
Comment 8 David Jorm 2012-08-06 00:32:32 EDT
The upstream Mojarra fix for this issue introduced a class loader leak. An updated patch that resolves both the security issue and the class loader leak will be available in Mojarra 2.1.12.
Comment 12 David Jorm 2012-10-22 17:28:07 EDT
Acknowledgements:

This issue was discovered by Marek Schmidt and Stan Silvert of Red Hat.
Comment 16 errata-xmlrpc 2012-12-18 17:21:34 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2012:1591 https://rhn.redhat.com/errata/RHSA-2012-1591.html
Comment 17 errata-xmlrpc 2012-12-18 17:33:26 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2012:1592 https://rhn.redhat.com/errata/RHSA-2012-1592.html
Comment 18 errata-xmlrpc 2012-12-18 17:53:24 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2012:1594 https://rhn.redhat.com/errata/RHSA-2012-1594.html

Note You need to log in before you can comment on or make changes to this bug.